Bug 992362 - ghc-conduit: FTBFS in rawhide (with llvm >= 3.3)
ghc-conduit: FTBFS in rawhide (with llvm >= 3.3)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-conduit (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS 992359 992360 992366 992367 992368 992369 992370 992371 992372 992430
  Show dependency treegraph
 
Reported: 2013-08-05 00:21 EDT by Dennis Gilmore
Modified: 2014-06-09 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-xss-sanitize-0.3.5.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 23:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 00:21:27 EDT
Your package ghc-conduit failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5719500

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9500/5719500/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9500/5719500/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9500/5719500/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jens Petersen 2013-08-20 10:24:30 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5832922

[1 of 8] Compiling System.PosixFile ( dist/build/System/PosixFile.hs, dist/build/System/PosixFile.o )
/usr/bin/opt: /tmp/ghc24334_0/ghc24334_0.ll:6365:17: error: not enough parameters specified for call
  %ln4a9 = call ccc i32 (i8*,i32,i32)* @open( i8* %ln4a8, i32 0 ) nounwind
Comment 2 Jens Petersen 2013-08-21 00:21:00 EDT
Scratch build with "ghc -v" for reference:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5835550
Comment 3 Jens Petersen 2013-08-21 04:54:58 EDT
Actually seems to fail for "ghc -fllvm" on x86_64 too.
Comment 4 Jens Petersen 2013-09-02 06:16:44 EDT
As far as I can tell this is fixed upstream in the current ghc-7.7 tree
(tested with a bootstrap build of ghc-7.7.20130828).

I may try to test later with a non-perf build of ghc-7.6.3
in case that could be related.
Comment 5 Fedora End Of Life 2013-09-16 11:28:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Jens Petersen 2014-02-05 10:01:44 EST
This is prevents building ghc-yaml on ARM.
Comment 7 Jens Petersen 2014-02-06 02:46:08 EST
Latest conduit (1.0.13 at least) builds on F21 Rawhide ARM and F20!
Comment 8 Jens Petersen 2014-05-01 00:58:41 EDT
Since this was fixed *by* (not in) 1.0.5.1.

ie conduit >= 1.0.5.1 seems to build with the llvm backend.

http://hdiff.luite.com/cgit/conduit/commit/?id=59f77e242fc69499cd2827f392ba364e86dec316
Comment 9 Jens Petersen 2014-05-01 00:59:04 EDT
s/Since/Seems
Comment 10 Jens Petersen 2014-05-09 01:03:24 EDT
Now fixed in F21 Rawhide.
Comment 11 Fedora Update System 2014-05-29 23:27:10 EDT
pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20
Comment 12 Fedora Update System 2014-05-30 19:54:39 EDT
Package ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-xss-sanitize-0.3.5.2-1.fc20 ghc-lambdabot-utils-4.2.2-4.fc20 pandoc-1.12.3.3-2.fc20 ghc-conduit-1.0.13.1-1.fc20 ghc-wai-1.4.1-1.fc20 ghc-hakyll-4.5.1.0-2.fc20 ghc-warp-1.3.8.4-1.fc20 ghc-scotty-0.5.0-4.fc20 ghc-citeproc-hs-0.3.9-2.fc20 ghc-tagsoup-0.13.1-1.fc20 ghc-texmath-0.6.6.1-1.fc20 ghc-pandoc-types-1.12.3.3-1.fc20 ghc-yaml-0.8.8.2-1.fc20 ghc-wai-extra-1.3.4.6-1.fc20 ghc-monad-logger-0.3.1.1-3.fc20 ghc-zlib-conduit-1.0.0-4.fc20 ghc-wai-logger-0.3.2-1.fc20 ghc-network-conduit-1.0.4-1.fc20 ghc-blaze-builder-conduit-1.0.0-4.fc20 ghc-attoparsec-conduit-1.0.1.2-1.fc20 ghc-resourcet-0.4.10.2-1.fc20 ghc-lifted-base-0.2.2.1-1.fc20 ghc-vault-0.3.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20,ghc-xss-sanitize-0.3.5.2-1.fc20,ghc-lambdabot-utils-4.2.2-4.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-06-09 23:00:08 EDT
ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.